%define version 4.4.0
%define rversion 0.9.1

%define realname Event
%define modname event
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A35_%{modname}.ini

Summary:	Event Scheduling Engine for PHP
Name:		php4-%{modname}
Version:	%{version}_%{rversion}
Release:	%mkrel 1
Group:		System/Servers
URL:		http://pecl.php.net/package/event
License:	PHP License
Source0:	event-%{rversion}.tar.bz2
BuildRequires:	php4-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
This is an extension to efficiently schedule IO, time and signal
based events using the best available IO notification mechanism
for your system. This is a port of libevent to the PHP
infrastructure; the API is similar but not identical.

%prep

%setup -q -n event-%{rversion}

%build

php4ize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

cat > %{buildroot}%{_sysconfdir}/php4.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc CREDITS
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}

%changelog
* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_0.9.1-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.9.1-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.9.1-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.9.1-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.9.1-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.9.1-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.9.1-1mdk
- initial mandrake package
- added P0
